#ifndef RING_BUFFER_TEST_H
#define RING_BUFFER_TEST_H

/*!
  \file
  \brief ringBuffer.cpp ‚ÌƒeƒXƒg
  
  \author Satofumi KAMIMURA
  
  $Id: RingBufferTest.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>

class RingBufferTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE(RingBufferTest);
  CPPUNIT_TEST(fillTest);
  CPPUNIT_TEST(rotateTest);
  CPPUNIT_TEST(overflowTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void fillTest(void);
  void rotateTest(void);
  void overflowTest(void);
};

#endif /* !RING_BUFFER_TEST_H */
